// Alpha Fade Shaders

textures/common/alpha_000	// Primary texture ONLY
{
	q3map_alphaMod volume
	q3map_alphaMod set 0
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}

textures/common/alpha_025
{
	q3map_alphaMod volume
	q3map_alphaMod set 0.25
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}

textures/common/alpha_050	// Mix of Primary + Secondary
{
	q3map_alphaMod volume
	q3map_alphaMod set 0.50
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}

textures/common/alpha_075
{
	q3map_alphaMod volume
	q3map_alphaMod set 0.75
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}

textures/common/alpha_085
{
	q3map_alphaMod volume
	q3map_alphaMod set 0.85
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}

textures/common/alpha_100	// Secondary texture ONLY
{
	q3map_alphaMod volume
	q3map_alphaMod set 1.0
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}


textures/common/antiportal
{
	qer_nocarve
	qer_trans 0.30
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm structural
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm antiportal
}

textures/common/areaportal
{
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm structural
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm areaportal
}

textures/common/botclip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm botclip
}

textures/common/black_nonsolid
{
	qer_editorimage textures/common/black.tga
	surfaceparm nonsolid
	qer_trans 0.75
	{
		map $lightmap
		rgbGen identity
	
	}
	{
		map textures/common/black.tga
		rgbGen identity
		blendfunc filter
	}
}

textures/common/blackout
{
	qer_editorimage textures/common/black.tga
	surfaceParm nolightmap  
	surfaceparm nomarks
	{
		map textures/common/black.tga
		rgbGen vertex
	}
}

textures/common/blockout
{
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/common/blockout.tga
		blendfunc filter
		rgbgen identity

	}
}

textures/common/caulk
{
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nomarks
}

textures/common/clip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
}

textures/common/clusterportal
{
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm clusterportal
}

textures/common/cushion
{
	qer_nocarve
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodamage
}

textures/common/donotenter
{
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm donotenter
}

textures/common/full_clip // Same as weapclip
{
	qer_editorimage textures/common/full_clip.tga
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
}

textures/common/full_metalclip
{
	qer_editorimage textures/common/full_metalclip.tga
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm metalsteps
}

textures/common/full_woodclip
{
	qer_editorimage textures/common/full_woodclip.tga
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm woodsteps
}

textures/common/full_snowclip
{
	qer_editorimage textures/common/full_woodclip.tga
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm snowsteps
}

textures/common/hint
{
	qer_nocarve
	qer_trans 0.30
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm structural
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm hint
}

textures/common/hintlocal // Local hint works like normal hint but doesn't create portals beyond local structural brushes.
{
	qer_nocarve
	qer_trans 0.30
	qer_editorImage textures/common/hintlocal.tga
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm structural
	surfaceparm trans
	surfaceparm noimpact
}

textures/common/hintskip
{
	qer_nocarve
	qer_trans 0.30
	qer_editorImage textures/common/skip.tga
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm structural
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm skip
}

textures/common/invisible	// solid, transparent polygons, casts shadows
{
	surfaceparm nolightmap
	{
		map textures/common/invisible.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

textures/common/ladderclip
{
	qer_editorimage textures/common/ladderclip.png
	qer_trans 0.40
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm noimpact
	surfaceparm ladder
}

textures/common/lavacaulk
{
	qer_trans 0.5
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm lava
}

// ydnar q3map lightgrid bounds
//
// the min/max bounds of brushes with this shader in a map
// will define the bounds of the map's lightgrid (model lighting)
// note: make it as small as possible around player space
// to minimize bsp size and compile time
//

textures/common/lightgrid
{
	qer_trans 0.5
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm detail
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm lightgrid
}

textures/common/metalclip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
	surfaceparm metalsteps
}

textures/common/mirror1
{
	qer_editorimage textures/common/mirror1.tga
	surfaceparm nolightmap
	portal
	{
		map textures/common/mirror1.tga
		blendfunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		depthWrite
	}
}

textures/common/mirror2
{
	qer_editorimage textures/common/qer_mirror.tga
	surfaceparm nolightmap
	portal
	{
		map textures/common/mirror1.tga
		blendfunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		depthWrite
	}
	{
		map textures/sfx/mirror.tga
		blendfunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
	}
}

textures/common/missileclip
{
	qer_trans 0.40
	surfaceparm nodamage
	surfaceparm nomarks
	surfaceparm nodraw
	surfaceparm playerclip
	surfaceparm trans
}

// Pi Model Clip texture,  used in .ASE models.  - Rhett
textures/common/modelclip
{
	qer_editorimage textures/common/modelclip.tga
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm slick
	qer_trans 0.5
	q3map_clipModel
	{
		map textures/common/modelclip.tga
		blendfunc filter
	}
}

textures/common/nodraw
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
}

textures/common/nodrawliquid
{
	qer_editorimage textures/common/nodrawliquid.tga
	qer_trans 0.40
	surfaceparm water
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
}

textures/common/nodrawnonsolid
{
	qer_editorimage textures/common/nodrawnonsolid.tga
	qer_trans 0.40
	surfaceparm nonsolid
	surfaceparm nodraw
	surfaceparm trans
	surfaceparm nomarks
}

textures/common/nodrop
{
	qer_nocarve
	qer_trans 0.5
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodrop
}

textures/common/noimpact
{
	qer_editorimage textures/common/noimpact.tga
	surfaceparm noimpact
}

textures/common/nolight
{
	qer_trans 0.40
	surfaceparm nonsolid
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nomarks
}

textures/common/nolightmap
{
	surfaceparm nolightmap
}

textures/common/origin
{
	qer_nocarve
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm origin
}

textures/common/portal
{
	qer_editorimage textures/common/qer_portal.tga
	surfaceparm nolightmap
	portal
	{
		map textures/common/mirror1.tga
		tcMod turb 0 0.25 0 0.05
		blendfunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		depthWrite

	}
}

textures/common/pwclip // Use weapclip instead
{
	qer_editorimage textures/common/pwclip.tga
	qer_trans 0.40
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodraw
	surfaceparm playerclip
}

textures/common/skip
{
	qer_nocarve
	qer_trans 0.30
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm structural
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm skip
}

textures/common/slick
{
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm slick
}

textures/common/slimecaulk
{
	qer_trans 0.5
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm slime
}

textures/common/terrain
{
	q3map_terrain
	surfaceparm nodraw
    	surfaceparm nolightmap
	surfaceparm nomarks
}

textures/common/terrain2
{
	q3map_terrain
	qer_editorimage textures/common/terrain.tga
	surfaceparm dust
	surfaceparm nodraw
	surfaceparm nomarks
	surfaceparm nolightmap
}

textures/common/timportal
{
	qer_editorimage textures/common/timportal.tga
	portal
	surfaceparm nolightmap
	{
		map textures/common/portal.tga
		tcMod turb 0 0.25 0 0.05
		blendfunc GL_ONE GL_SRC_ALPHA
		depthWrite
	}
}

textures/common/trigger
{
	qer_trans 0.50
	qer_nocarve
	surfaceparm nodraw
}

textures/common/weapclip
{
	qer_editorimage textures/common/weapclip.tga
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
}

textures/common/weapclip_marks
{
	qer_editorimage textures/common/weapclip.tga
	qer_trans 0.40
	surfaceparm nodraw
      surfaceparm nolightmap
	surfaceparm trans
}

textures/common/watercaulk
{
	qer_trans 0.5
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm water
}

textures/common/white
{
	qer_editorimage textures/common/white.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/common/white.tga
		blendfunc filter
	}
}

textures/common/woodclip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
	surfaceparm woodsteps
}

textures/insta/mj_instagrate
{
	qer_editorimage textures/insta/instagrate.tga
        surfaceparm trans
	surfaceparm nomarks
	surfaceparm metalsteps
	nopicmip
        cull none
	{
		map textures/insta/instagrate.tga
		alphafunc GE128
		depthwrite
	}
        {
		map $lightmap
		depthfunc equal
		blendfunc filter
	}
} 

textures/insta/mj_instalpad
{
	qer_editorimage textures/insta/lpad1.jpg
      surfaceparm trans
	surfaceparm nomarks
	surfaceparm nolightmap
      nopicmip
      cull none
	{
	animMap 24 textures/insta/lpad1.jpg textures/insta/lpad2.jpg textures/insta/lpad3.jpg textures/insta/lpad4.jpg textures/insta/lpad5.jpg textures/insta/lpad6.jpg textures/insta/lpad7.jpg textures/insta/lpad8.jpg
      }
}

textures/insta/mj_instatporter
{
	qer_editorimage textures/insta/tpinsta1.tga
      q3map_lightimage textures/insta/tpinsta1.tga
      surfaceparm trans
	surfaceparm nomarks
	surfaceparm nolightmap
      nopicmip
      cull none
	q3map_surfacelight 900
	{
	animMap 24 textures/insta/tpinsta1.tga textures/insta/tpinsta2.tga textures/insta/tpinsta3.tga textures/insta/tpinsta4.tga textures/insta/tpinsta5.tga textures/insta/tpinsta6.tga textures/insta/tpinsta7.tga textures/insta/tpinsta8.tga 
      }
}

textures/insta/mj_itemspiral
{
	qer_editorimage textures/insta/spiral.tga
	surfaceparm trans
	surfaceparm nomarks
      surfaceparm nonsolid
      nopicmip 
	q3map_lightsubdivide 32
	q3map_surfacelight 20
      {
		map textures/insta/spiral.tga
            blendfunc add  
		rgbGen identity
            tcMod scroll 2 0
	}
}

textures/insta/mj_kidlight_01
{
	qer_editorimage textures/insta/kidlight01.jpg
	q3map_lightimage textures/insta/kidlight01_blend.jpg        
	surfaceparm nomarks
	q3map_lightsubdivide 32
	q3map_surfacelight 1000
      nopicmip
	{
		map textures/insta/kidlight01.jpg
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/insta/kidlight01_blend.jpg
		blendfunc add
	}
}

textures/insta/mj_pup01
{
	qer_editorimage textures/insta/ammobase.tga
      q3map_lightimage textures/insta/ammobase.tga
      nopicmip
	{
		map textures/insta/ammobase.tga
		blendfunc blend
            rgbGen const ( 0.0784314 0.0784314 0.0784314 )
            tcMod rotate -90
      }
}

textures/insta/mj_pup02
{
	qer_editorimage textures/insta/pupbase.tga
      q3map_lightimage textures/insta/pupbase.tga
      nopicmip
	{
		map textures/insta/pupbase.tga
            rgbGen const ( 0.0784314 0.0784314 0.0784314 )
		blendfunc blend
	}
}

textures/insta/mj_pup03
{
	qer_editorimage textures/insta/spawnbase.tga
	q3map_lightimage textures/insta/spawnbase.tga
	nopicmip
	{
		map textures/insta/spawnbase.tga
		blendfunc blend
		rgbGen const ( 0.0784314 0.0784314 0.0784314 )
		tcMod rotate 45
	}
}

textures/insta/mj_pupo4
{
	qer_editorimage textures/insta/weapbase.tga
	q3map_lightimage textures/insta/weapbase.tga
	nopicmip
	{
		map textures/insta/weapbase.tga
		blendfunc blend
		rgbGen const ( 0.0784314 0.0784314 0.0784314 )
		tcMod rotate 45
	}
}

textures/insta/mj_singlefan
{
	qer_editorimage textures/insta/fan.tga
      nopicmip
      surfaceparm trans
      cull none
            {
		map textures/insta/fan.tga
            tcMod rotate 120
		alphaFunc GT0
            }
}

textures/insta/mj_singlegrid
{
	qer_editorimage textures/insta/fangrid.tga
      nopicmip
      surfaceparm trans
      cull none
            {
		map textures/insta/fangrid.tga
		alphaFunc GT0
            }
}
	
textures/insta/mj_spiral_fx
{
	qer_editorimage textures/insta/tube_fx.tga
	surfaceparm trans
	surfaceparm nomarks
      surfaceparm nonsolid
      nopicmip 
	q3map_lightsubdivide 32
	q3map_surfacelight 20
      {
		map textures/insta/tube_fx.tga
            blendfunc add  
		rgbGen identity
            tcMod scroll 2 0
	}
}

textures/insta/mj_spiral2_fx
{
	qer_editorimage textures/insta/tube01_fx.tga
	surfaceparm trans
	surfaceparm nomarks
      surfaceparm nonsolid
      nopicmip 
	q3map_lightsubdivide 32
	q3map_surfacelight 20
      {
		map textures/insta/tube01_fx.tga
            blendfunc add  
		rgbGen identity
            tcMod scroll 2 0
	}
}

textures/insta/mj_whitelight 
{
	      qer_editorimage textures/insta/whitelight.tga
	      q3map_surfacelight 80
           surfaceparm nomarks
           nopicmip
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/insta/whitelight.tga
		blendFunc add
	}
}

textures/insta/spiral_red
{
	qer_editorimage textures/insta/spiral_red.tga
	surfaceparm trans
	surfaceparm nomarks
      surfaceparm nonsolid
      nopicmip 
	q3map_lightsubdivide 32
	q3map_surfacelight 20
      {
		map textures/insta/spiral_red.tga
            blendfunc add  
		rgbGen identity
            tcMod scroll 2 0
	}
}

